I can't upgrade the ubuntu to 20.04 by terminal. Everytime I do it, a message appear saying that it is not possible do the upgrade.

Bug #1875523 reported by Deivison Aparecido Silva on 2020-04-28
58
This bug affects 10 people
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Lukas Märdian
Focal
Undecided
Lukas Märdian

Bug Description

Impact
------
Some upgrades from Ubuntu 18.04 LTS to Ubuntu 20.04 LTS fail to calculate which prevents people from upgrading to Ubuntu 20.04 LTS.

Test Case
---------
1) install pyhton-pyside and python-gi on an up to date Ubuntu 18.04 LTS system
2) run do-release-upgrade -d
3) Observe the upgrade fail to calculate an upgrade to Ubuntu 20.04 LTS

To test the version of the dist-upgrader from -proposed you'll need to download the dist-upgrade tarball and extract it in to /tmp/. Then run sudo ./focal --frontend DistUpgradeViewText.

Regression Potential
--------------------
Given that the release upgrader is replacing python-minimal with python-is-python2 we should ensure that python-is-python2 is installed after the upgrade. We should also test an upgrade from Bionic to Focal which calculated successfully with the existing version of the release upgrader.

Original Description
---------------------
You look. I can't explain about it in english, but it is here the message. I hope you can understand it.

Não foi possível calcular a atualização

Ocorreu um problema sem solução, enquanto estava calculando a
atualização.

Isto foi causado por:
* Atualiza para a versão de pre-lançamento do Ubuntu
Isto deve de ser provavelmente um problema transitório,
por favor tente novamente mais tarde.
Se nada disto servir, então por favor comunique a falha usando o
comando 'ubuntu-bug ubuntu-release-upgrader-core' no terminal. Se
você quiser investigar isto por si os ficheiros de registro em
'/var/log/dist-upgrade' contém detalhes sobre a atualização. Olhe
especialmente para 'main.log' e 'apt.log'.

ProblemType: BugDistroRelease: Ubuntu 18.04
Package: ubuntu-release-upgrader-core 1:18.04.37
ProcVersionSignature: Ubuntu 5.3.0-47.39~18.04.1-generic 5.3.18
Uname: Linux 5.3.0-47-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Mon Apr 27 22:50:59 2020
PackageArchitecture: allSourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to bionic on 2020-04-28 (0 days ago)

Related branches

Serhiy Zahoriya (xintx-ua) wrote :

Please use Google Translate at least and add the translation to the report body.

tags: added: could-be-python
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Confirmed
tags: added: rls-ff-incoming
Changed in ubuntu-release-upgrader (Ubuntu Focal):
milestone: none → ubuntu-20.04.1
Dimitri John Ledkov (xnox) wrote :

We are investigating the attachments you have provided.

It appears you have many python-minimal dependencies, which fail to upgrade to python2-minimal.

Do you think you can remove python-minimal from your system and try again?

tags: removed: rls-ff-incoming
tags: added: id-5ed916269d59e3256d34593a
Lukas Märdian (slyon) wrote :

Hey @capitaotsunami

I was able to reproduce your problem. After removing 'python-gi' the upgrade seems to be working.
There seems to be some kind of broken dependency between 'python-gi' and 'libgirepository-1.0-1'

Could you please try to confirm this, by running the following commands?

sudo apt remove python-gi
sudo do-release-upgrade -d

Lukas Märdian (slyon) on 2020-07-17
Changed in ubuntu-release-upgrader (Ubuntu):
assignee: nobody → Lukas Märdian (slyon)
Changed in ubuntu-release-upgrader (Ubuntu Focal):
assignee: nobody → Lukas Märdian (slyon)
Changed in ubuntu-release-upgrader (Ubuntu):
status: Confirmed → In Progress
Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.10.5

---------------
ubuntu-release-upgrader (1:20.10.5) groovy; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <email address hidden> Fri, 17 Jul 2020 11:49:10 -0700

Changed in ubuntu-release-upgrader (Ubuntu):
status: In Progress → Fix Released
description: updated

Hello Deivison, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.22 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Łukasz Zemczak (sil2100) wrote :

Hello Deivison, or anyone else affected,

Accepted ubuntu-release-upgrader into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-release-upgrader/1:20.04.23 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted ubuntu-release-upgrader (1:20.04.23) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

ubuntu-release-upgrader/1:20.04.23 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#ubuntu-release-upgrader

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Lukas Märdian (slyon) wrote :
Download full text (65.4 KiB)

Hi Lukasz,

for verification of ubuntu-release-upgrader 1:20.04.23 I made the release-upgrader calculate the upgrade in two different scenarios. First, the "Minimal reproducer test case" with just python-gi and python-pyside installed, as described in the bug description. Second, the "Extensive test case with full apt-clone state applied", which has all packages installed as the reporter of this bug, via apt-clone.

In both cases the upgrade was calculated successfully, python & python-minimal have been removed and python-is-python2, python2 & python2-minimal have been installed.

************************************
=== Minimal reproducer test case ===
$ dpkg -l |egrep "(python-gi|python-pyside |python-minimal)"
ii python-gi 3.26.1-2ubuntu1 amd64 Python 2.x bindings for gobject-introspection libraries
ii python-minimal 2.7.15~rc1-1 amd64 minimal subset of the Python language (default version)
ii python-pyside 1.2.2+source1-3 all Python bindings for Qt4 (big metapackage)

$ wget http://archive.ubuntu.com/ubuntu/dists/focal-proposed/main/dist-upgrader-all/20.04.23/focal.tar.gz
2020-07-21 10:39:54 (3.37 MB/s) - ‘focal.tar.gz’ saved [1332523/1332523]

$ tar xzf focal.tar.gz

$ sudo ./focal --frontend DistUpgradeViewText

Reading cache

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done

Get:1 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]
Hit http://archive.ubuntu.com/ubuntu bionic InRelease
Get:2 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]
Get:3 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB]
Fetched 252 kB in 0s (0 B/s)
Reading package lists... Done
Building dependency tree
Reading state information... Done

Updating repository information
Get:1 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
Hit http://archive.ubuntu.com/ubuntu focal InRelease
Get:2 http://archive.ubuntu.com/ubuntu focal-updates InRelease [107 kB]
Get:3 http://archive.ubuntu.com/ubuntu focal-backports InRelease [98.3 kB]
Fetched 312 kB in 0s (0 B/s)

Checking package manager
Reading package lists... Done
Building dependency tree
Reading state information... Done

Calculating the changes

Calculating the changes

Do you want to start the upgrade?

24 packages are going to be removed. 136 new packages are going to be
installed. 562 packages are going to be upgraded.

You have to download a total of 402 M. This download will take about
51 minutes with a 1Mbit DSL connection and about 15 hours with a 56k
modem.

Fetching and installing the upgrade can take several hours. Once the
download has finished, the process cannot be canceled.

 Continue [yN] Details [d]d

No longer supported: libdumbnet1 python-gi

Remove: python-pyside

Remove (was auto installed) libapt-inst2.0 libapt-pkg5.0
  libpolkit-backend-1-0 libpython-stdlib libsensors4 phonon
  phonon-backend-gstreamer python python-minimal python-pyside.phonon

Install: alsa-topology-conf ...

tags: added: verification-done-focal
removed: verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-release-upgrader - 1:20.04.23

---------------
ubuntu-release-upgrader (1:20.04.23) focal; urgency=medium

  * data/DistUpgrade.cfg: remove xscreensaver from the PostUpgradeRemove rule
    for ubuntu-desktop as it is no longer necessary. (LP: #1875107)

ubuntu-release-upgrader (1:20.04.22) focal; urgency=medium

  * DistUpgrade/DistUpgradeController.py: set a default value for devRelease
    all the time. (LP: #1882069)
  * DistUpgrade/DistUpgradeQuirks.py: Update the quirk for handling the
    transition from python-minimal to python2-minimal so that it runs during a
    prepare stage and an install stage. Thanks to Lukas Märdian for the fix.
    (LP: #1875523)

 -- Brian Murray <email address hidden> Mon, 20 Jul 2020 17:23:48 -0700

Changed in ubuntu-release-upgrader (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-release-upgrader has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers